OhMyGPT
Realtime

Create Realtime client secret

POST
/v1/realtime/client_secrets

Creates an ephemeral client secret for an OpenAI Realtime session. Set the model in session.model or the top-level model field.

Authorization

ApiKeyAuth
headerAuthorization<token>

Request Body

application/json
  1. body
model?string

OhMyGPT model ID. Used when session.model is omitted.

session?
[key: string]?any

Response Body

The client secret and its session configuration.

application/json
  1. response
client_secret?
[key: string]?any
Example Request
curl -X POST 'https://api.ohmygpt.com/v1/realtime/client_secrets' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "client_secret": {    "expires_at": 0,    "value": "string"  }}